import "./App.scss";
import React from "react";
import { Provider } from "react-redux";
import { Router } from "react-router-dom";
import createHistory from "history/createBrowserHistory";

import { actionPageStart } from "./actions";

import { store } from "./reducers";
import Layout from "./layout";
import "react-loader-spinner/dist/loader/css/react-spinner-loader.css";
import "react-responsive-carousel/lib/styles/carousel.min.css";
import "react-sortable-tree/style.css";

export const history = createHistory();

function App() {
    return (
        <Provider store={store}>
            <Router history={history}>
                <div className="App ">
                    <Layout />
                </div>
            </Router>
        </Provider>
    );
}

store.subscribe(() => console.log(store.getState()));
store.dispatch(actionPageStart());
export default App;
