import { promiseWorker } from "reducers/promiseReducer";
import { select, call } from "redux-saga/effects";
import { gql } from "../helpers";
import { actionPromise } from "../reducers";

export const actionAboutMe = () => ({ type: "ABOUT_ME" });

export function* aboutMeWorker() {
    const {
        auth: {
            payload: {
                sub: { id },
            },
        },
    } = yield select((state) => state);
    yield call(
        promiseWorker,
        actionPromise(
            "aboutMe",
            gql(
                `query AboutMe($q:String){
                UserFindOne(query:$q){
                    _id login createdAt avatar{
                        _id url
                    }
                }
            }`,
                {
                    q: JSON.stringify([{ _id: id }]),
                }
            )
        )
    );
}
