import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { call } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionCatAll = ({ limit = 0, skip = 0, promiseName = "catAll" } = {}) => ({
    type: "CAT_ALL",
    payload: { limit, skip, promiseName },
});

export function* catAllWorker(action) {
    const { promiseName, limit, skip } = action.payload;
    yield call(
        promiseWorker,
        actionPromise(
            promiseName,
            gql(
                `query CatAll($query:String){
        CategoryFind(query: $query){
            _id name
            parent{
                _id, name
            }
            subCategories{
                _id name
            }
        }
    }`,
                {
                    query: JSON.stringify([
                        {},
                        {
                            // sort: { name: 1 },
                            limit: [!!limit ? limit : 100],
                            skip: [skip],
                        },
                    ]),
                }
            )
        )
    );
}
