import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { call } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionCatById = (_id, promiseName = "catById") => ({ type: "CAT_BY_ID", payload: { _id, promiseName } });

export function* catByIdWorker(action) {
    const { promiseName, _id } = action.payload;
    yield call(
        promiseWorker,
        actionPromise(
            promiseName,
            gql(
                `query catById($q: String){
        CategoryFindOne(query: $q){
            _id name
            goods {
                _id name price images {
                    url
                }
            }
            subCategories{
                _id name
            }
            parent{
                _id name
            }
        }
    }`,
                { q: JSON.stringify([{ _id }]) }
            )
        )
    );
}
