import { useSelector } from "react-redux";
import { promiseWorker } from "reducers/promiseReducer";
import { call, put, select } from "redux-saga/effects";
import { actionCategoryUpsert, actionRootCats } from ".";
import { gql } from "../helpers";
import { actionPromise } from "../reducers";
import { actionCatAll } from "./actionCatAll";
import { waitFor } from "./actionWaitFor";

export const actionCategoryUpdate = (category) => ({ type: "CATEGORY_UPDATE", payload: category });

export function* categoryUpdateWorker(action) {
    yield put(actionCategoryUpsert(action.payload));

    yield call(waitFor, (state) => state?.promise?.categoryUpsert?.status === "FULFILLED");
    yield put(actionRootCats());
    yield put(actionCatAll());
}
