import { promiseWorker } from "reducers/promiseReducer";
import { call } from "redux-saga/effects";
import { gql } from "../helpers";
import { actionPromise } from "../reducers";

export const actionCategoryUpsert = (category) => ({ type: "CATEGORY_UPSERT", payload: category });

export function* categoryUpsertWorker(action) {
    yield call(
        promiseWorker,
        actionPromise(
            "categoryUpsert",
            gql(
                `mutation CategoryUpsert($category: CategoryInput){
                    CategoryUpsert(category: $category){
                        _id parent{
                          _id
                        }
                                  subCategories{
                          _id
                        }
                    }
                }`,
                {
                    category: action.payload,
                }
            )
        )
    );
}
