import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { call, delay } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionCatsFind = ({ text = "", limit = 0, skip = 0, promiseName = "CatsFind" }) => ({
    type: "CATS_FIND",
    payload: { text, limit, skip, promiseName },
});

export function* catsFindWorker(action) {
    const { promiseName, limit, skip, text } = action.payload;
    yield delay(700);
    yield call(
        promiseWorker,
        actionPromise(
            promiseName,
            gql(
                `
        query catsFind($query: String){
            CategoryFind(query: $query){
                _id name
                parent{
                    _id, name
                }
                subCategories{
                    _id name
                }
            }
        }`,
                {
                    query: JSON.stringify([
                        {
                            $or: [{ _id: `/${text}/` }, { name: `/${text}/` }],
                        },
                        {
                            limit: [!!limit ? limit : 100],
                            skip: [skip],
                        },
                    ]),
                }
            )
        )
    );
}
