import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { call } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionGoodById = ({ _id, promiseName = "goodById" } = {}) => ({
    type: "GOOD_BY_ID",
    payload: { _id, promiseName },
});

export function* goodByIdWorker(action) {
    const { _id, promiseName } = action.payload;
    yield call(
        promiseWorker,
        actionPromise(
            promiseName,
            gql(
                `query GoodById($q: String){
            GoodFindOne(query: $q){
                _id name description  price images{
                    url _id
                }
                categories{
                    _id name
                }
            }
        }`,
                { q: JSON.stringify([{ _id }]) }
            )
        )
    );
}
