import { promiseWorker } from "reducers/promiseReducer";
import { call, put, select } from "redux-saga/effects";
import { actionGoodsAll } from "./actionGoodsAll";
import { actionGoodUpsert } from "./actionGoodUpsert";
import { waitFor } from "./actionWaitFor";

export const actionGoodUpdate = (good) => ({ type: "GOOD_UPDATE", payload: good });

export function* goodUpdateWorker(action) {
    yield put(actionGoodUpsert(action.payload));

    yield call(waitFor, (state) => state?.promise?.goodUpsert?.status === "FULFILLED");

    yield call(promiseWorker, actionGoodsAll());
}
