import { promiseWorker } from "reducers/promiseReducer";
import { call } from "redux-saga/effects";
import { gql } from "../helpers";
import { actionPromise } from "../reducers";

export const actionGoodUpsert = (good) => ({ type: "GOOD_UPSERT", payload: good });

export function* goodUpsertWorker(action) {
    yield call(
        promiseWorker,
        actionPromise(
            "goodUpsert",
            gql(
                `mutation GoodUpsert($good: GoodInput){
                    GoodUpsert(good: $good){
                        _id name
                    }
                }`,
                {
                    good: action.payload,
                }
            )
        )
    );
}
