import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { promiseWorker } from "reducers/promiseReducer";
import { call } from "redux-saga/effects";

export const actionGoodsAll = ({ limit = 0, skip = 0, promiseName = "goodsAll" } = {}) => ({
    type: "GOODS_ALL",
    payload: { promiseName, skip, limit },
});
export function* goodsAllWorker(action) {
    const { promiseName, limit, skip } = action.payload;
    yield call(
        promiseWorker,
        actionPromise(
            promiseName,
            gql(
                `query GoodsAll($query:String){
        GoodFind(query: $query){
            _id name price images{
                _id url
            }
            categories{
                _id name
            }
        }
    }`,
                {
                    query: JSON.stringify([
                        {},
                        {
                            limit: [!!limit ? limit : 100],
                            skip: [skip],
                        },
                    ]),
                }
            )
        )
    );
}
