import { actionPromise, actionPromiseClear } from "../reducers";
import { gql } from "../helpers";
import { call, delay } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionGoodsFind = ({ text = "", limit = 0, skip = 0, promiseName = "goodsFind" }) => ({
    type: "GOODS_FIND",
    payload: { promiseName, skip, limit, text },
});

export function* goodsFindWorker(action) {
    const { text, promiseName, skip, limit } = action.payload;
    yield delay(700);
    yield call(
        promiseWorker,
        actionPromise(
            promiseName,
            gql(
                `
            query goodsFind($query: String){
                GoodFind(query: $query){
                    _id, name, description, price, images{
                        _id, url
                    }
                }
            }`,
                {
                    query: JSON.stringify([
                        {
                            $or: [{ _id: `/${text}/` }, { name: `/${text}/` }, { description: `/${text}/` }],
                        },
                        {
                            sort: [{ name: 1 }],
                            limit: [+limit],
                            skip: [skip],
                        },
                    ]),
                }
            )
        )
    );
}
