import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { actionAuthLogin } from "../reducers";
import { call, put } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionLogin = (login, password) => ({ type: "LOGIN_FULL", payload: { login, password } });
export function* loginWorker(action) {
    const { login, password } = action.payload;
    const token = yield call(
        promiseWorker,
        actionPromise(
            "login",
            gql(
                `query log($login:String,$password:String){
                            login(login:$login,password:$password)
                        }
                        `,
                {
                    login,
                    password,
                }
            )
        )
    );
    yield put(actionAuthLogin(token));
}
