import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { call } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionOrders = () => ({ type: "ORDERS" });

export function* ordersWorker() {
    yield call(
        promiseWorker,
        actionPromise(
            "orders",
            gql(`
            query orders{
                OrderFind(query:"[{}]"){
                    _id total createdAt orderGoods{
                        _id count price good{
                            name _id price images{
                                url, _id
                            }
                        }
                    }
                }
            }
          `)
        )
    );
}
