import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { actionLogin } from ".";
import { promiseWorker } from "reducers/promiseReducer";
import { call, select } from "redux-saga/effects";

export const actionRegister = (login, password) => ({ type: "REGISTER_FULL", payload: { login, password } });

export function* registerWorker(action) {
    const { login, password } = action.payload;
    yield call(
        promiseWorker,
        actionPromise(
            "register",
            gql(
                `mutation register($login:String,$password:String){
                               UserUpsert(user:{login:$login,password:$password}){
                                   _id login
                               }
                           }`,
                {
                    login: login,
                    password: password,
                }
            )
        )
    );
    const {
        promise: { register },
    } = yield select();
    if (register.status === "FULFILLED") {
        yield call(promiseWorker, actionLogin(login, password));
    }
}
