import { actionPromise } from "../reducers";
import { gql } from "../helpers";
import { call } from "redux-saga/effects";
import { promiseWorker } from "reducers/promiseReducer";

export const actionRootCats = () => ({ type: "ROOT_CATS" });

export function* rootCatsWorker() {
    yield call(
        promiseWorker,
        actionPromise(
            "rootCats",
            gql(
                `query rootCats($query:String) {
                CategoryFind(query: $query){
                    _id name
                }
            }`,
                {
                    query: JSON.stringify([
                        {
                            parent: {
                                $exists: false,
                            },
                        },
                    ]),
                }
            )
        )
    );
}
