import { promiseWorker } from "reducers/promiseReducer";
import { call, put, select } from "redux-saga/effects";
import { actionAboutMe, actionUserUpsert, actionUploadFile } from ".";
import { actionPromiseClear } from "../reducers";
import { waitFor } from "./actionWaitFor";

export const actionUpdateAvatar = (file) => ({ type: "UPDATE_AVATAR", payload: file });

export function* updateAvatarWorker(action) {
    yield call(promiseWorker, actionUploadFile(action.payload));

    const {
        promise: {
            uploadFile: {
                payload: { _id },
                status,
            },
        },
    } = yield select();

    yield put(actionUserUpsert({ avatar: { _id } }));
    yield call(waitFor, (state) => state?.promise?.userUpsert?.status === "FULFILLED");

    yield put(actionAboutMe());

    yield put(actionPromiseClear("uploadFile"));
}
