import { promiseWorker } from "reducers/promiseReducer";
import { call, put, select } from "redux-saga/effects";
import { actionAboutMe, actionUserUpsert } from ".";
import { waitFor } from "./actionWaitFor";

export const actionUserUpdate = (user = {}) => ({ type: "USER_UPDATE", payload: user });

export function* userUpdateWorker(action) {
    yield put(actionUserUpsert(action.payload));
    yield call(waitFor, (state) => state?.promise?.userUpsert?.status === "FULFILLED");
    yield put(actionAboutMe());
}
