import { promiseWorker } from "reducers/promiseReducer";
import { call, select } from "redux-saga/effects";
import { gql } from "../helpers";
import { actionPromise } from "../reducers";

export const actionUserUpsert = (user) => ({ type: "USER_UPSERT", payload: user });

export function* userUpsertWorker(action) {
    const {
        auth: {
            payload: {
                sub: { id },
            },
        },
    } = yield select();
    yield call(
        promiseWorker,
        actionPromise(
            "userUpsert",
            gql(
                `mutation UpserUser($user:UserInput){
                    UserUpsert(user:$user){
                        _id
                    }
                }`,
                {
                    user: { ...action.payload, _id: id },
                }
            )
        )
    );
}
