import { connect, useSelector } from "react-redux";
import { CLoginForm } from "components/forms/LoginForm";
import PopUp from "./PopUp";
import { useState, useEffect } from "react";
import Logout from "./Logout";
import { CRegisterForm } from "components/forms/RegisterForm";
import { actionPopupClose, actionPopupOpen } from "../reducers";

export const AuthPopUp = ({ isOpen, onPopupClose, onPopupOpen } = {}) => {
    const token = useSelector((state) => state.auth?.token || null);
    const [formName, setFormName] = useState("LoginForm");
    const [prevForm, setPrevForm] = useState("");

    return !token ? (
        <PopUp
            isOpen={isOpen}
            buttonText="Login"
            title="Авторизация"
            buttonClass="headerItem"
            onClose={() => onPopupClose()}
            onShow={() => onPopupOpen()}
            onBackButtonClick={
                prevForm
                    ? () => {
                          setFormName(prevForm);
                          setPrevForm("");
                      }
                    : null
            }
        >
            {formName === "LoginForm" && (
                <CLoginForm
                    onLogin={() => onPopupClose()}
                    onRegisterButtonClick={() => {
                        setFormName("RegisterForm");
                        setPrevForm("LoginForm");
                    }}
                />
            )}
            {formName === "RegisterForm" && <CRegisterForm />}
        </PopUp>
    ) : (
        <Logout />
    );
};
