import { Box, Button } from "@mui/material";
import { useEffect, useState } from "react";
import { connect } from "react-redux";
import { actionCartAdd, actionCartDelete } from "../reducers";

export const BuyButton = ({ onClick, onDeleteClick, good, cart }) => {
    const [inCart, setInCart] = useState(false);

    useEffect(() => {
        setInCart(!!(cart[good._id] && cart[good._id].count) || false);
    }, [good, cart]);
    return (
        <Box className="BuyButton ">
            {inCart ? (
                <Button onClick={() => onDeleteClick(good)} variant="outlined">
                    Уже в корзине
                </Button>
            ) : (
                <Button onClick={() => onClick(good)} variant="outlined">
                    Купить
                </Button>
            )}
        </Box>
    );
};

const CBuyButton = connect((state) => ({ cart: state.cart || {} }), {
    onClick: (good) => actionCartAdd(good),
    onDeleteClick: (good) => actionCartDelete(good),
})(BuyButton);

export default CBuyButton;
