import { useEffect, useState } from "react";
import { connect } from "react-redux";
import { Link } from "react-router-dom";
import { BsCart4 } from "react-icons/bs";
import { Box, IconButton, Badge } from "@mui/material";

export const CartIcon = ({ cart }) => {
    const [count, setCount] = useState(0);
    useEffect(() => {
        let count = 0;
        for (let order of Object.values(cart)) {
            count += +order.count;
        }
        setCount(count);
    }, [cart]);
    return (
        <Box className="CartIcon">
            <Badge badgeContent={count} color="primary">
                <IconButton size="medium">
                    <BsCart4 color="white" />
                </IconButton>
            </Badge>
        </Box>
    );
};

const CCartIcon = connect((state) => ({ cart: state.cart || {} }))(CartIcon);

export default CCartIcon;
