import { Divider, List } from "@mui/material";
import { Box } from "@mui/system";
import { connect } from "react-redux";
import CategoryItem from "./CategoryItem";

export const Categories = ({ categories }) => (
    <List className="Categories">
        {(categories || []).map((category) => (
            <Box>
                <CategoryItem category={category} key={category._id} />
                <Divider />
            </Box>
        ))}
    </List>
);

const CCategories = connect((state) => ({
    categories: state.promise.rootCats?.payload || [],
}))(Categories);

export default CCategories;
