import { useEffect } from "react";
import { connect, useSelector } from "react-redux";
import { actionOrders } from "actions";
import { store } from "reducers";
import DashboardOrder from "./DashboardOrder";
import { Box } from "@mui/system";
import { Paper, Stack, Typography } from "@mui/material";
export const Dashboard = ({ orders }) => {
    const token = useSelector((state) => state.auth?.token);
    return token && Object.keys(orders).length > 0 ? (
        <Paper className="Dashboard ">
            <Typography variant="h6" textAlign="center">
                Заказы
            </Typography>
            <Stack spacing={5}>
                {orders
                    .sort((a, b) => (a?.createdAt < b?.createdAt ? 1 : -1))
                    .map((order) => (
                        <DashboardOrder order={order || {}} key={order._id} />
                    ))}
            </Stack>
        </Paper>
    ) : (
        false
    );
};

const CDashboard = connect((state) => ({
    orders: state.promise.orders?.payload || [],
}))(Dashboard);

export default CDashboard;
