import { Box, Stack, Typography } from "@mui/material";
import { Link } from "react-router-dom";
import DashboardOrderGood from "./DashboardOrderGood";
const DashboardOrder = ({ order: { _id, createdAt, total, orderGoods } } = {}) => (
    <Box className="DashboardOrder " >
        <Typography variant="h6">Дата: {new Date(+createdAt).toDateString()}</Typography>
        <Typography variant="body1" sx={{ py: 1 }}>
            <strong>Сумма: {total || " - "}</strong>
        </Typography>
        <Stack spacing={1}>
            {orderGoods?.map((orderGood) => (
                <Link className="Link" to={`/good/${_id}/`} key={orderGood._id}>
                    <DashboardOrderGood orderGood={orderGood} />
                </Link>
            ))}
        </Stack>
    </Box>
);

export default DashboardOrder;
