import { Stack, Typography } from "@mui/material";
import { Box } from "@mui/system";
import { backendURL } from "helpers";
import defaultGoodImage from "images/defaultGoodImage.png";

const DashboardOrderGood = ({ orderGood: { count, price: total, good } } = {}) => {
    const { name, _id, price, images } = good || {};
    return (
        <Box
            className="DashboardOrderGood"
        >
            <Stack direction="row" spacing={2}>
                <Box
                    component="img"
                    src={images && images[0]?.url ? `${backendURL}/${images ? images[0]?.url : ""}` : defaultGoodImage}
                    sx={{ maxWidth: 150 }}
                />
                <Box sx={{ flexGrow: 1 }}>
                    <Typography variant="body1">
                        <strong>Название: </strong> {name}
                    </Typography>
                    <Typography variant="body1">
                        <strong>Цена : </strong> {price} * {count} = {+price * +count}
                    </Typography>
                </Box>
            </Stack>
        </Box>
    );
};

export default DashboardOrderGood;
