import { Carousel } from "react-responsive-carousel";
import { GoodCardSet } from "./GoodCardSet";
import { useState, useEffect } from "react";
import { Box } from "@mui/material";
export const GoodCardSlider = ({ goods = [] } = {}) => {
    const [goodSets, setGoodSets] = useState([]);
    const num = 5;

    useEffect(() => {
        if (goods?.length) {
            let goodSets = [];
            let uniqGoods = [...new Map(goods.map((good) => [good._id, good])).values()];

            for (let i = 0; i < uniqGoods.slice(0, 20).length; i += num) {
                if (i + num > uniqGoods.length && uniqGoods.length % num !== 0) {
                    goodSets.push(uniqGoods.slice(i, uniqGoods.length));
                    break;
                }
                goodSets.push(uniqGoods.slice(i, i + num));
            }
            setGoodSets(goodSets);
        }
    }, [goods]);

    return (
        <Box className="GoodCardSlider">
            <Carousel className="Slider" showThumbs={false} showStatus={false} showIndicators={false}>
                {(goodSets || []).map((goodSet, idx) => (
                    <GoodCardSet goods={goodSet} num={num} key={idx} />
                ))}
            </Carousel>
        </Box>
    );
};
// autoPlay={true}
// autoPlaySpeed={1000}
// transitionDuration={500}
