import { Component, useEffect, useState } from "react";
import { AiOutlinePlus, AiOutlineMinus } from "react-icons/ai";
// const InputNumber = ({ value: initialValue, onChange }) => {
//     const [value, setValue] = useState(+initialValue);
//     useEffect(() => {

//     }, [value, onChange]);
//     const handleOnChange =(value)=>{

//     }
//     return (
//         <div className="InputNumber d-flex">
//             <button className="btn btn-info" onClick={(e) => setValue((prevValue) => prevValue - e.target.value)}>
//                 -
//             </button>
//             <input className="countInput" type="number" value={+value} onChange={(e) => setValue(+e.target.value)} />
//             <button className="btn btn-info" onClick={(e) => setValue((prevValue) => prevValue + +e.target.value)}>
//                 +
//             </button>
//         </div>
//     );
// };

class InputNumber extends Component {
    state = { value: 0 };
    setValue = (value) => this.setState({ value: value });

    componentDidMount() {
        const { value: initialValue } = this.props;
        this.setState({ value: initialValue });
    }
    componentDidUpdate(prevState) {
        const { onChange } = this.props;
        const { value } = this.state;

        if (prevState.value !== value) {
            onChange(value);
        }
    }

    render() {
        let { value } = this.state;

        return (
            <div className="InputNumber d-flex">
                <div className="minus " onClick={(e) => this.setValue(--value)}>
                    <AiOutlineMinus />
                </div>
                <input
                    className="countInput"
                    value={+value}
                    onChange={(e) =>
                        typeof +e.target.value === "number" && !!e.target.value.length && this.setValue(+e.target.value)
                    }
                />
                <div className="plus " onClick={(e) => this.setValue(++value)}>
                    <AiOutlinePlus />
                </div>
            </div>
        );
    }
}

export default InputNumber;
