import { Button, Container, Modal, Stack, Typography } from "@mui/material";
import { Box } from "@mui/system";
import React from "react";
import ReactDOM from "react-dom";
import { AiOutlineClose } from "react-icons/ai";

const style = {
    position: "absolute",
    top: "50%",
    left: "50%",
    transform: "translate(-50%, -50%)",
    width: 400,
    bgcolor: "white",
    border: "1px solid #000",
    boxShadow: 24,
    p: 2,
};

const PopUp = ({ children, title, onBackButtonClick, controlButtons = [], isOpen = false, onClose } = {}) => {
    return ReactDOM.createPortal(
        <Modal open={isOpen}>
            <Box sx={style}>
                <Stack direction="row" justifyContent="space-between">
                    {!!onBackButtonClick && <Button onClick={onBackButtonClick}>&lt;&lt;Back</Button>}
                    <Typography variant="h6">{title}</Typography>
                    <Button onClick={onClose}>
                        <AiOutlineClose />
                    </Button>
                </Stack>
                <Box sx={{ maxHeight: 400 }}>{children}</Box>

                {/* <Box>
                <Stack>{controlButtons || []}</Stack>
            </Box> */}
            </Box>
        </Modal>,
        document.body
    );
};

export default PopUp;
