import { Link } from "react-router-dom";
import { connect } from "react-redux";
import { backendURL } from "../helpers";
import defaultProfileImage from "../images/defaultProfileImage.png";
import { Avatar } from "@mui/material";

const ProfileImage = ({ avatar }) => {
    return (
        <Avatar
            className="ProfileImage"
            src={avatar?.url ? `${backendURL}/${avatar?.url || ""}` : defaultProfileImage}
        />
    );
};

const CProfileImage = connect((state) => ({ avatar: state.promise?.aboutMe?.payload?.avatar || {} }))(ProfileImage);

export { ProfileImage, CProfileImage };
