import { Redirect, Route } from "react-router-dom";
import { connect } from "react-redux";
export const ProtectedRoute = ({ roles = [], fallback = "/", component, auth, ...routeProps }) => {
    const WrapperComponent = (renderProps) => {
        const C = component;
        !!auth.length || (auth = ["anon"]);
        if (!auth.filter((role) => roles.includes(role)).length) {
            return <Redirect to={fallback} />;
        }
        return <C {...renderProps} />;
    };
    return <Route {...routeProps} component={WrapperComponent} />;
};

export const CProtectedRoute = connect((state) => ({ auth: state.auth?.payload?.sub?.acl || [] }))(ProtectedRoute);
