import { SubCategoryItem } from "./SubCategoryItem";
import { connect } from "react-redux";
import { Grid } from "@mui/material";

export const SubCategories = ({ categories }) =>
    categories?.length ? (
        <Grid container className="SubCategories" spacing={2}>
            {(categories || []).map((cat) => (
                <Grid item key={cat._id}>
                    <SubCategoryItem category={cat} />
                </Grid>
            ))}
        </Grid>
    ) : (
        ""
    );

export const CSubCategories = connect((state) => ({
    categories: state.promise?.catById?.payload?.subCategories || [],
}))(SubCategories);
