import { connect } from "react-redux";
import React, { useState } from "react";
import { actionLogin } from "actions";
import Button from "@mui/material/Button";
import { Box, Stack, TextField } from "@mui/material";

export const LoginForm = ({ onLogin, onRegisterButtonClick }) => {
    const [login, setLogin] = useState("");
    const [password, setPassword] = useState("");
    return (
        <Box className="LoginForm">
            <Box sx={{ mb: 3 }}>
                <TextField
                    label="login"
                    placeholder="Username"
                    variant="standard"
                    value={login}
                    fullWidth
                    onChange={(e) => setLogin(e.target.value)}
                />
            </Box>
            <Box sx={{ mb: 3 }}>
                <TextField
                    label="password"
                    type="password"
                    placeholder="Password"
                    variant="standard"
                    fullWidth
                    value={password}
                    onChange={(e) => setPassword(e.target.value)}
                />
            </Box>
            <Stack direction="row" justifyContent="flex-end">
                <Button
                    variant="text"
                    disabled={login.length < 4 || password.length < 4}
                    onClick={() => onLogin(login, password)}
                >
                    Войти
                </Button>

                <Button variant="text" onClick={onRegisterButtonClick}>
                    Регистрация
                </Button>
            </Stack>
        </Box>
    );
};
export const CLoginForm = connect(null, { onLogin: (login, password) => actionLogin(login, password) })(LoginForm);
