import { connect } from "react-redux";
import CartItem from "./CartItem";
import { actionNewOrder } from "actions";

import { HiOutlineEmojiSad } from "react-icons/hi";
import { Typography } from "@mui/material";

export const Cart = ({ cart, token, handleSubmit }) => {
    let cartSum = 0;
    Object.entries(cart).map(([_id, order]) => (cartSum += +order?.count * +order?.good?.price));

    return (
        <div className="Cart page">
            <div className="header">
                <span>Корзина</span>
                {token && !!Object.keys(cart).length && <span>Сумма: {cartSum}</span>}
            </div>
            <div className="body">
                {token && Object.keys(cart).length > 0 ? (
                    <div className="body">
                        <div className="row">
                            <div className="col-12">
                                {Object.entries(cart).map(([_id, order]) => (
                                    <CartItem order={order} key={_id} />
                                ))}
                            </div>
                        </div>
                        <div className="footer">
                            <div className="row ">
                                <div className="col-12">
                                    <button
                                        className="btn btn-success"
                                        onClick={() => handleSubmit([...Object.values(cart)])}
                                    >
                                        Подтвердить
                                    </button>
                                </div>
                            </div>
                        </div>
                    </div>
                ) : (
                    <Typography textAlign="center" className="error">
                        Тут пусто ! <HiOutlineEmojiSad />
                    </Typography>
                )}
            </div>
        </div>
    );
};
const CCart = connect((state) => ({ cart: state.cart || [], token: state.auth.token }), {
    handleSubmit: (orderGoods = []) => actionNewOrder(orderGoods),
})(Cart);

export default CCart;
