import { backendURL } from "helpers";
import { connect } from "react-redux";
import { actionCartDelete, actionCartChange } from "reducers";
import InputNumber from "components/InputNumber";
import { Link } from "react-router-dom";
import defaultGoodImage from "images/defaultGoodImage.png";
import { DeleteButton } from "../../components/DeleteButton";

export const CartItem = ({
    order: {
        count,
        good: { _id, name, images, price },
    },
    handleDelete,
    handleChange,
}) => (
    <div className="CartItem mt-3">
        <div className="row">
            <Link className="Link col-3" to={`/good/${_id}/`}>
                <img
                    src={images.length ? `${backendURL}/${images ? images[0]?.url : ""}` : defaultGoodImage}
                    className="GoodImage "
                    alt=""
                />
            </Link>
            <div className="col-5">
                <div>
                    <Link className="Link" to={`/good/${_id}/`}>
                        <strong>Название: </strong> {name}{" "}
                    </Link>
                </div>
                <div>
                    <strong>Цена: </strong> {price} * {count} = {+price * +count}
                </div>
            </div>
            <div className="col-4">
                <div className=" w-100 d-flex justify-content-between flex-wrap ">
                    <InputNumber
                        value={+count}
                        onChange={(count) => {
                            handleChange({ _id, name, images, price }, count);
                        }}
                    />
                    <DeleteButton onClick={() => handleDelete({ _id, name, images, price })} />
                </div>
            </div>
        </div>
    </div>
);
export const CCartItem = connect(() => ({}), {
    handleDelete: (good) => actionCartDelete(good),
    handleChange: (good, count) => actionCartChange(good, count),
})(CartItem);

export default CCartItem;
