import { connect } from "react-redux";
import { CSubCategories } from "components/SubCategories";
import { GoodList } from "./GoodList";
import { Paper, Typography } from "@mui/material";
import { Box, textAlign } from "@mui/system";

export const Category = ({ goods, category: { name: categoryName } } = {}) => (
    <Paper className="Category page">
        <Box sx={{ textAlign: "center" }}>
            <Typography variant="h5">{categoryName}</Typography>
        </Box>
        <Box sx={{ py: 3 }}>
            <CSubCategories />
        </Box>

        <GoodList goods={goods} />
    </Paper>
);

const CCategory = connect((state) => ({
    goods: state.promise?.catById?.payload?.goods || [],
    category: state.promise?.catById?.payload || {},
}))(Category);

export default CCategory;
