import { Grid, Typography } from "@mui/material";
import { Box } from "@mui/system";
import { CGoodCard } from "components/GoodCard";
import { HiOutlineEmojiSad } from "react-icons/hi";

export const GoodList = ({ goods = [] }) => (
    <Box className="GoodList">
        {!!goods.length ? (
            <Grid container spacing={2}>
                {(goods || []).map((good) => (
                    <Grid item xs={12} sm={6} md={4} lg={3}>
                        <CGoodCard good={good} key={good._id} />
                    </Grid>
                ))}
            </Grid>
        ) : (
            <Typography textAlign="center" className="error">
                Тут пусто ! <HiOutlineEmojiSad />
            </Typography>
        )}
    </Box>
);
