import { useState, useEffect } from "react";

import slider1 from "images/slider1.jpg";
import slider2 from "images/slider2.jpg";
import slider3 from "images/slider3.jpg";
import slider4 from "images/slider4.jpg";
import { GoodCardSlider } from "../../components/GoodCardSlider";
import { store } from "../../reducers";
import { actionOrders } from "../../actions";
import { connect } from "react-redux";
import { DiscountCarousel } from "./DiscountCarousel";
import { Box, Paper } from "@mui/material";

const GoodCardSliderContainer = ({ orders = [] } = {}) => {
    const [goods, setGoods] = useState([]);

    useEffect(() => {
        if (orders?.length) {
            let goods = [];

            for (let order of orders) {
                for (let orderGood of order?.orderGoods) {
                    goods = [...goods, orderGood?.good];
                }
            }
            goods = [...new Set(goods)];
            setGoods(goods);
        }
    }, [orders]);

    return <GoodCardSlider goods={goods} />;
};

const CGoodCardSliderContainer = connect((state) => ({ orders: state.promise?.orders?.payload || [] }))(
    GoodCardSliderContainer
);

export const HomePage = () => {
    const discounts = [slider1, slider2, slider3, slider4];
    return (
        <Paper className="HomePage page">
            <Box>
                <DiscountCarousel discounts={discounts} />
            </Box>
            <Box sx={{ mt: 3 }}>
                <CGoodCardSliderContainer />
            </Box>
        </Paper>
    );
};
