import { connect } from "react-redux";
import { AddButton } from "components/AddButton";

import { history } from "App";
import { TableCell, TableRow, TableSortLabel } from "@mui/material";

const AdminCategoryListHeader = ({ sort, onSortChange, sortReversed, onSortReverseChange }) => (
    <TableRow className="AdminCategoryListHeader">
        <TableCell scope="col">
            #
            <TableSortLabel
                active={true}
                onClick={() => {
                    sort !== "_id" && onSortChange("_id");
                    sort === "_id" && onSortReverseChange();
                }}
                direction={`${sortReversed && sort === "_id" ? "asc" : "desc"}`}
            />
        </TableCell>
        <TableCell scope="col">
            Название
            <TableSortLabel
                active={true}
                onClick={() => {
                    sort === "name" && onSortReverseChange();
                    sort !== "name" && onSortChange("name");
                }}
                direction={`${sortReversed && sort === "name" ? "asc" : "desc"}`}
            />
        </TableCell>
        <TableCell scope="col">
            Родительская категория
            <TableSortLabel
                active={true}
                onClick={() => {
                    sort === "parent" && onSortReverseChange();
                    sort !== "parent" && onSortChange("parent");
                }}
                direction={`${sortReversed && sort === "parent" ? "asc" : "desc"}`}
            />
        </TableCell>
        <TableCell scope="col">
            <AddButton
                onClick={() => {
                    history.push(`/admin/category/`);
                }}
            />
        </TableCell>
    </TableRow>
);

export { AdminCategoryListHeader };
