import { actionPopupOpen } from "reducers";
import { connect } from "react-redux";
import { Link } from "react-router-dom";
import { backendURL } from "helpers";
import defaultGoodImage from "images/defaultGoodImage.png";
import { FaEdit } from "react-icons/fa";
import { Box, TableCell, TableRow } from "@mui/material";

const AdminGoodItem = ({ good }) => (
    <TableRow className="AdminGoodItem">
        <TableCell scope="row">{good._id}</TableCell>
        <TableCell>{good.name ? good.name : "-"}</TableCell>
        <TableCell>
            {
                <Box
                    component="img"
                    src={
                        good.images?.length
                            ? `${backendURL}/${good.images ? good.images[0]?.url : ""}`
                            : defaultGoodImage
                    }
                />
            }
        </TableCell>
        <TableCell>{good.price ? good.price : "-"}</TableCell>
        <TableCell>
            {good.categories
                ? (good.categories || []).map((category) => <div key={category._id}>{category?.name}</div>)
                : "-"}
        </TableCell>
        <TableCell className="edit">
            <Link className="Link" to={`/admin/good/${good._id}/`}>
                <FaEdit />
            </Link>
        </TableCell>
    </TableRow>
);

export { AdminGoodItem };
