import { connect } from "react-redux";
import { history } from "App";
import { AddButton } from "components/AddButton";
import { TableCell, TableRow, TableSortLabel } from "@mui/material";

const AdminGoodListHeader = ({ onSortChange, sort, sortReversed, onSortReverseChange }) => (
    <TableRow className="AdminGoodListHeader">
        <TableCell scope="col">
            #
            <TableSortLabel
                active={true}
                onClick={() => {
                    sort === "_id" && onSortReverseChange();
                    sort !== "_id" && onSortChange("_id");
                }}
                direction={`${sortReversed && sort === "_id" ? "asc" : "desc"}`}
            />
        </TableCell>
        <TableCell scope="col">
            Название
            <TableSortLabel
                active={true}
                onClick={() => {
                    sort === "name" && onSortReverseChange();
                    sort !== "name" && onSortChange("name");
                }}
                direction={`${sortReversed && sort === "name" ? "asc" : "desc"}`}
            />
        </TableCell>
        <TableCell scope="col">Картинки</TableCell>
        <TableCell scope="col">
            Цена
            <TableSortLabel
                active={true}
                onClick={() => {
                    sort === "price" && onSortReverseChange();
                    sort !== "price" && onSortChange("price");
                }}
                direction={`${sortReversed && sort === "price" ? "asc" : "desc"}`}
            />
        </TableCell>
        <TableCell scope="col">Категории</TableCell>
        <TableCell scope="col">
            <AddButton
                onClick={() => {
                    history.push(`/admin/good/`);
                }}
            />
        </TableCell>
    </TableRow>
);

export { AdminGoodListHeader };
